--- bind.SlackBuild	2006-09-07 03:06:22.000000000 -0400
+++ bind.SlackBuild.s390x	2007-01-16 21:53:03.000000000 -0500
@@ -28,12 +28,14 @@
 LIBISCCFGMAJOR=`echo $LIBISCCFGVER | cut -f 1 -d .`
 LIBLWRESMAJOR=`echo $LIBLWRESVER | cut -f 1 -d .`
 
+LIBDIR="lib"
 if [ "$ARCH" = "i386" ]; then
   SLKCFLAGS="-O2 -march=i386 -mcpu=i686"
 elif [ "$ARCH" = "i486" ]; then
   SLKCFLAGS="-O2 -march=i486 -mtune=i686"
-elif [ "$ARCH" = "s390" ]; then
+elif [ "$ARCH" = "s390x" ]; then
   SLKCFLAGS="-O2"
+  LIBDIR="lib64"
 elif [ "$ARCH" = "x86_64" ]; then
   SLKCFLAGS="-O2"
 fi
@@ -48,6 +50,10 @@
 cd $PKG
 explodepkg $CWD/_bind.tar.gz
 
+if [ "$ARCH" = "s390x" ]; then
+  mv usr/lib usr/lib64
+fi
+
 cd $TMP
 rm -rf bind-$VERSION
 tar xzvf $CWD/bind-$VERSION.tar.gz
@@ -68,6 +74,7 @@
 CFLAGS="$SLKCFLAGS" \
 ./configure \
   --prefix=/usr \
+  --libdir='${exec_prefix}/${LIBDIR}' \
   --sysconfdir=/etc \
   --localstatedir=/var \
   --with-libtool \
@@ -106,29 +113,29 @@
 cat rndc.conf > $PKG/usr/doc/bind-$VERSION/misc/rndc.conf-sample
 chmod 600 $PKG/usr/doc/bind-$VERSION/misc/rndc.conf-sample
 cd ../../lib/bind9/.libs
-cat libbind9.so.${LIBBINDVER} > $PKG/usr/lib/libbind9.so.${LIBBINDVER}
-chmod 755 $PKG/usr/lib/libbind9.so.${LIBBINDVER}
-( cd $PKG/usr/lib ; rm -rf libbind9.so.${LIBBINDMAJOR} ; ln -sf libbind9.so.${LIBBINDVER} libbind.so.${LIBBINDMAJOR} )
+cat libbind9.so.${LIBBINDVER} > $PKG/usr/${LIBDIR}/libbind9.so.${LIBBINDVER}
+chmod 755 $PKG/usr/${LIBDIR}/libbind9.so.${LIBBINDVER}
+( cd $PKG/usr/${LIBDIR} ; rm -rf libbind9.so.${LIBBINDMAJOR} ; ln -sf libbind9.so.${LIBBINDVER} libbind.so.${LIBBINDMAJOR} )
 cd ../../dns/.libs
-cat libdns.so.${LIBDNSVER} > $PKG/usr/lib/libdns.so.${LIBDNSVER}
-chmod 755 $PKG/usr/lib/libdns.so.${LIBDNSVER}
-( cd $PKG/usr/lib ; rm -rf libdns.so.${LIBDNSMAJOR} ; ln -sf libdns.so.${LIBDNSVER} libdns.so.${LIBDNSMAJOR} )
+cat libdns.so.${LIBDNSVER} > $PKG/usr/${LIBDIR}/libdns.so.${LIBDNSVER}
+chmod 755 $PKG/usr/${LIBDIR}/libdns.so.${LIBDNSVER}
+( cd $PKG/usr/${LIBDIR} ; rm -rf libdns.so.${LIBDNSMAJOR} ; ln -sf libdns.so.${LIBDNSVER} libdns.so.${LIBDNSMAJOR} )
 cd ../../isc/.libs
-cat libisc.so.${LIBISCVER} > $PKG/usr/lib/libisc.so.${LIBISCVER}
-chmod 755 $PKG/usr/lib/libisc.so.${LIBISCVER}
-( cd $PKG/usr/lib ; rm -rf libisc.so.${LIBISCMAJOR} ; ln -sf libisc.so.${LIBISCVER} libisc.so.${LIBISCMAJOR} )
+cat libisc.so.${LIBISCVER} > $PKG/usr/${LIBDIR}/libisc.so.${LIBISCVER}
+chmod 755 $PKG/usr/${LIBDIR}/libisc.so.${LIBISCVER}
+( cd $PKG/usr/${LIBDIR} ; rm -rf libisc.so.${LIBISCMAJOR} ; ln -sf libisc.so.${LIBISCVER} libisc.so.${LIBISCMAJOR} )
 cd ../../isccc/.libs
-cat libisccc.so.${LIBISCCCVER} > $PKG/usr/lib/libisccc.so.${LIBISCCCVER}
-chmod 755 $PKG/usr/lib/libisccc.so.${LIBISCCCVER}
-( cd $PKG/usr/lib ; rm -rf libisccc.so.${LIBISCCCMAJOR} ; ln -sf libisccc.so.${LIBISCCCVER} libisccc.so.${LIBISCCCMAJOR} )
+cat libisccc.so.${LIBISCCCVER} > $PKG/usr/${LIBDIR}/libisccc.so.${LIBISCCCVER}
+chmod 755 $PKG/usr/${LIBDIR}/libisccc.so.${LIBISCCCVER}
+( cd $PKG/usr/${LIBDIR} ; rm -rf libisccc.so.${LIBISCCCMAJOR} ; ln -sf libisccc.so.${LIBISCCCVER} libisccc.so.${LIBISCCCMAJOR} )
 cd ../../isccfg/.libs
-cat libisccfg.so.${LIBISCCFGVER} > $PKG/usr/lib/libisccfg.so.${LIBISCCFGVER}
-chmod 755 $PKG/usr/lib/libisccfg.so.${LIBISCCFGVER}
-( cd $PKG/usr/lib ; rm -rf libisccfg.so.${LIBISCCFGMAJOR} ; ln -sf libisccfg.so.${LIBISCCFGVER} libisccfg.so.${LIBISCCFGMAJOR} )
+cat libisccfg.so.${LIBISCCFGVER} > $PKG/usr/${LIBDIR}/libisccfg.so.${LIBISCCFGVER}
+chmod 755 $PKG/usr/${LIBDIR}/libisccfg.so.${LIBISCCFGVER}
+( cd $PKG/usr/${LIBDIR} ; rm -rf libisccfg.so.${LIBISCCFGMAJOR} ; ln -sf libisccfg.so.${LIBISCCFGVER} libisccfg.so.${LIBISCCFGMAJOR} )
 cd ../../lwres/.libs
-cat liblwres.so.${LIBLWRESVER} > $PKG/usr/lib/liblwres.so.${LIBLWRESVER}
-chmod 755 $PKG/usr/lib/liblwres.so.${LIBLWRESVER}
-( cd $PKG/usr/lib ; rm -rf liblwres.so.${LIBLWRESMAJOR} ; ln -sf liblwres.so.${LIBLWRESVER} liblwres.so.${LIBLWRESMAJOR} )
+cat liblwres.so.${LIBLWRESVER} > $PKG/usr/${LIBDIR}/liblwres.so.${LIBLWRESVER}
+chmod 755 $PKG/usr/${LIBDIR}/liblwres.so.${LIBLWRESVER}
+( cd $PKG/usr/${LIBDIR} ; rm -rf liblwres.so.${LIBLWRESMAJOR} ; ln -sf liblwres.so.${LIBLWRESVER} liblwres.so.${LIBLWRESMAJOR} )
 mkdir -p $PKG/usr/man/man{1,3,5,8}
 cd ../../../bin
 cat dig/dig.1 | gzip -9c > $PKG/usr/man/man1/dig.1.gz
